INTERFACE
SUBROUTINE EC_PHYS_LSLPHY(&
 & KST,KEND,LDLFSTEP,PDTPHY,&
 & PULP9,PVLP9,PTLP9,PGFLLP9,&
 & PSAVTEND,PGFLSLP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN
USE YOMSLPHY , ONLY : NVTEND
USE YOM_YGFL , ONLY : YGFL
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDLFSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
REAL(KIND=JPRB) ,INTENT(INOUT) :: PULP9(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVLP9(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTLP9(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLLP9(NPROMA,NFLSA:NFLEN,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSAVTEND(NPROMA,NFLEVG,NVTEND)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLSLP(NPROMA,NFLEVG,YGFL%NDIMSLP)
END SUBROUTINE EC_PHYS_LSLPHY
END INTERFACE
